function [idx_X,idx_Y] = otherVecs(ind_seg1,ind_seg2,V_sel,K)

currVecSeg{1} = ind_seg1;
currVecSeg{2} = ind_seg2;
numSeg = 0;

for i = 1:size(V_sel,2)
        if (numSeg >= K)
            break;
        end
    currVec = V_sel(:,i);
    % Segment the current vector
    cnt = 1;
    segclr = 0;
    tempVecSeg = {};
    clear k
    numSeg = 0;
    for k = 1:length(currVecSeg)            
        if (isempty(currVecSeg{k}))
            continue;
        end
        currSeg = currVec(currVecSeg{k});
        if ((numSeg + 2) <= K)  % Does splitting the vector keep numSeg < K?
            if std(currSeg) > 1e-2 % Don't break further if already stable cluster
                resp = 1; 
            else
                resp = 0;
            end
        elseif ((numSeg + 1) <= K)
            resp = 0;
        else
            numSeg = K + 1; % Ensure you exit both loops
            break;
        end
        if (resp == 1)
            x1 = mean(currSeg);
            currSeg((currSeg >= x1)) = segclr+1;
            currSeg((currSeg~=(segclr+1))) = segclr+2;
            currVec(currVecSeg{k}) = currSeg;
            tempVecSeg{cnt} = find(currVec == (segclr+1));
            tempVecSeg{cnt+1} = find(currVec == (segclr+2));
            cnt = cnt + 2;
            segclr = segclr + 2;
            numSeg = segclr;
        else
            currVec(currVecSeg{k}) = segclr+1;
            tempVecSeg{cnt} = currVecSeg{k};
            cnt = cnt + 1;
            segclr = segclr + 1;
            numSeg = segclr;                
        end
        clear resp
    end
        currVecSeg = tempVecSeg;
end

% Set clusters
uniqIdx = unique(currVec);
idx_X = zeros(length(currVec),1);
idx_Y = zeros(length(currVec),1);
for i = 1:length(uniqIdx)
    idx_X(currVec == uniqIdx(i)) = uniqIdx(i);
    idx_Y(currVec == uniqIdx(i)) = uniqIdx(i);
end















