function [x1new,y1new] = keepPtsWithinStd(xIn,yIn,xbound,ybound)
    x = xIn;
    y = yIn;
    l = 1;
    meanX = mean(x);
    stdX = std(x);
    meanY = mean(y);
    stdY  = std(y);
    
    if (strcmp(xbound,'low'))
        bfactX = 2;
    elseif (strcmp(xbound,'high'))
        bfactX = 1;
    else
        bfactX = 1.5; % moderate by default
    end
    
    if (strcmp(ybound,'low'))
        bfactY = 2;
    elseif (strcmp(ybound,'high'))
        bfactY = 1;
    else
        bfactY = 1.5; % moderate by default
    end

    for k = 1:length(x)
        if ((x(k) >= meanX - (bfactX*stdX))&& (x(k) <= meanX + (bfactX*stdX)))         % inverted indices in MATLAB representations
           if ((y(k) >= meanY - (bfactY*stdY))&&(y(k) <= meanY + (bfactY*stdY)))
            xtemp(l) = round(x(k));
            ytemp(l) = round(y(k));
            l = l+1;            
           end
        end        
    end
x1new = xtemp;
y1new = ytemp;

    
 